using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class GameManager : D_MonoSingleton<GameManager>
{
    public void LoadMain()
    {
        PanelLoading tLoading = UIManager.Instance.OpenUI<PanelLoading>();
        tLoading.DelOver = () =>
        {
            SceneManager.LoadScene("Main");
        };
    }

    public void LoadGame()
    {
        PanelLoading tLoading = UIManager.Instance.OpenUI<PanelLoading>();
        tLoading.DelOver = () =>
        {
            SceneManager.LoadScene("Game");
        };
    }

    public void NextLevel()
    {
        PlayerData.Instance.CurrentLevel++;
        LoadGame();
    }
}